## openmosix 1.5.4-3

=== src/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


#  From here to the end, there is nothing more to touch
# in a normal instalation.

# Here are the dirs
DIRS	=	moslib fixvfork migrate mosrun setpe mon mosctl # tune tune does not work

MAKE	=	make

HERE	=	$(shell pwd)

all: clean build man install 
	@echo This software is under GPL
	@echo You must accept this licence for using it
	@echo You are encourage to use, modify and distribute this 
	@echo software under GPL terms.
	@echo ----------------------------------------------------------
	@echo Mosix is \(c\) of prof.  Barak, http://www.mosix.org
	@echo OpenMosix is \(c\) of Moshe Bar, http://www.openmosix.org
	@echo Makefiles, bugfixing, mainteance \(c\) of David Santo Orcero 
	@echo               http://www.orcero.org/irbis
	@echo ----------------------------------------------------------
	@echo Authors:
	@echo fixvfork-\>Ariel Eizenberg
	@echo migrate-\>Ariel Rosenblatt
	@echo mon-\>Amnon Shiloh
	@echo mosctl-\>Amnon Shiloh, Oren Laadan, Ariel Rosenblatt
	@echo moslib-\>Ariel Rosenblatt, Amnon Shiloh
	@echo mosrun-\>Amnon Shiloh, Ariel Rosenblatt
	@echo setpe-\>Amnon Shiloh, Oren Laadan
	@echo tune-\>Shlomo Matichen, Amnon Shiloh
	@echo ----------------------------------------------------------
	@echo  This is a fork of Mosix proyect 1.1.2, what is GPL. Note
	@echo that more recent version of the userland tools are not all
	@echo GPLed -in fact, none of them after 1.5.2 is GPL-.
	@echo ----------------------------------------------------------
	@echo Please send patchs, comments and suggestions to
	@echo irbis@orcero.org
	@echo  And happy hacking!
	
	

man:
	for i in $(DIRS); do echo Working on $$i; cd $(HERE)/$$i ;  $(MAKE) man; done 

build:
	echo Compiling OpenMosix official userland tools
	for i in $(DIRS); do echo Working on $$i; cd $(HERE)/$$i ;  $(MAKE) build; done 

install: 
	echo Installing OpenMosix
	for i in $(DIRS); do echo Working on $$i; cd $(HERE)/$$i ;  $(MAKE) install; done 

clean:
	echo Cleaning sources
	for i in $(DIRS); do echo Working on $$i; cd $(HERE)/$$i ;  $(MAKE) clean; done

=== src/fixvfork/Makefile ===
##
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration

CC	=	gcc
SRC	=	fixvfork.c
OBJ	=	fixvfork.o

CFLAGS	+=	-fPIC
LDFLAGS	=	-shared -rdynamic

LIB	=	fixvfork.so

WRAP	=	fixvfork.sh

all:	clean build install


build: fixvfork.so  buildfix 

fixvfork.so:	$(OBJ)
	$(CC) $(LDFLAGS) $(OBJ) -o $(LIB)

buildfix:
	rm -f $(WRAP)
	touch $(WRAP)
	echo "#!/bin/sh" >> $(WRAP)
	echo "export LD_PRELOAD=$(INSTALLDIR)/lib/$(LIB)" >> $(WRAP)
	echo "$$""*" >> $(WRAP)

install:  build
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/lib
	$(INSTALL) -c -m 0644 fixvfork.so $(INSTALLDIR)/lib
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/bin
	$(INSTALL) -c -m 0555 $(WRAP) $(INSTALLDIR)/bin

clean:
	rm -f *.so *.o
	rm -f $(WRAP)

=== src/migrate/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration


SOURCE	= migrate.c

CFLAGS	+= -I../moslib 

LIBS = ../moslib/libmos.a


all: clean build man install

build: $(SOURCE)
	$(CC) $(CFLAGS) -o migrate $? $(LIBS)

man	: migrate.man
	cp $? migrate.1

install: build man
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/bin
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0444 migrate.1 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0555 -s migrate $(INSTALLDIR)/bin

clean:
	rm -f *.a *.o core
	rm -f migrate migrate.1

=== src/mon/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration


SOURCE	= mon.c

CFLAGS	+= -I../moslib 
LDFLAGS += -s

LIBS = ../moslib/libmos.a


all: clean build man install

build: $(SOURCE)
	$(CC) $(CFLAGS) -o $(MONNAME) $? $(LIBS) -lncurses

man	: mon.man
	cp $? $(MONNAME).1

install: build man
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/bin
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0444 $(MONNAME).1 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0555 -s $(MONNAME) $(INSTALLDIR)/bin

clean:
	rm -f *.a *.o core
	rm -f $(MONNAME) $(MONNAME).1


# What is this? I must ask Moshe about it.
# Following 3 lines, Authored by Ariel Eizenberg
research:
	$(CC) -DCONFIG_MOSIX_RESEARCH $(CFLAGS) -c -o mon.o mon.c
	$(CC) $(LDFLAGS) -o mon mon.o -lncurses

=== src/mosctl/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration


SOURCE	= mosctl.c

CFLAGS	+= -I../moslib 
LDFLAGS += -s

LIBS = ../moslib/libmos.a


all: clean build man install

build: $(SOURCE)
	$(CC) $(CFLAGS) -o mosctl $? $(LIBS)

man	: mosctl.man
	cp $? mosctl.1

install: build man
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/bin
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0444 mosctl.1 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0555 -s mosctl $(INSTALLDIR)/bin

clean:
	rm -f *.a *.o core
	rm -f mosctl mosctl.1

=== src/moslib/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration


SOURCE	= libmosix.c dadvise.c msxctl.c
OBJS     = libmosix.o dadvise.o msxctl.o


CFLAGS	+= -fPIC

LIBS =  libmos.a libmos.so

LDFLAGS = -shared

all: clean build install
	


build: $(LIBS)




install: build
	$(INSTALL) -d -m 755 $(INSTALLDIR)
	$(INSTALL) -d -m 755 $(INSTALLDIR)/lib
	$(INSTALL) -d -m 755 $(INSTALLDIR)/include
	$(INSTALL) -s libmos.a $(INSTALLDIR)/lib
	$(INSTALL) -c -m 644 libmos.so $(INSTALLDIR)/lib
	$(INSTALL) -c -m 644 libmosix.h mos.h $(INSTALLDIR)/include
	/sbin/ldconfig

libmos.a: $(OBJS)
	ar crv libmos.a $(OBJS)
	ranlib libmos.a

libmos.so: $(OBJS)
	$(CC) $(LDFLAGS) -o $@.0 -Wl,-soname,$@.0 $(OBJS)
	ln -sf $@.0 $@

clean:
	rm -f *.a *.o *.so *.so.0 core

=== src/mosrun/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration


SOURCE	= mosrun.c

# Something interesting to improve

SHELLS= nomig runhome runon cpujob iojob nodecay slowdecay fastdecay

CFLAGS	+= -I../moslib 

LIBS = ../moslib/libmos.a


all: clean build man install

build: mosrun $(SHELLS)


mosrun	: $(SOURCE)
	$(CC) $(CFLAGS) -o mosrun $? $(LIBS)

man	: mosrun.man
	cp $? mosrun.1

$(SHELLS):
	@echo processing $@
	cp $@.sh $@
	chmod 755 $@

install: build man 
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/bin
	$(INSTALL) -c -m 0555 -s mosrun $(INSTALLDIR)/bin
	$(INSTALL) -c -m 0555 $(SHELLS) $(INSTALLDIR)/bin
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0444 mosrun.1 $(INSTALLDIR)/man/man1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/nomig.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/runhome.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/runon.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/cpujob.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/iojob.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/nodecay.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/slowdecay.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/fastdecay.1

clean:
	rm -f *.a *.o core
	rm -f mosrun mosrun.1
	rm -f $(SHELLS)

=== src/setpe/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration


SOURCE	= setpe.c

CFLAGS	+= -I../moslib 
LDFLAGS += -s

LIBS = ../moslib/libmos.a


all: clean build man install

build: $(SOURCE)
	$(CC) $(CFLAGS) -o setpe $? $(LIBS)

man	: setpe.man
	cp $? setpe.1

install: build man
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/sbin
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0444 setpe.1 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0555 -s setpe $(INSTALLDIR)/sbin

clean:
	rm -f *.a *.o core
	rm -f setpe setpe.1

=== src/tune/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration



CFLAGS	+= -I../moslib 
LDFLAGS += -s

LIBS = ../moslib/libmos.a


all: clean build man install

build: tune mtune tunepass tune_kernel prep_tune


tune: tune.o testloop.o
	$(CC) $(LDFLAGS) -o tune tune.o testloop.o

mtune: mtune.o testloop.o
	$(CC) $(LDFLAGS) -o mtune mtune.o testloop.o

tunepass: tunepass.o
	$(CC) -o tunepass tunepass.o

testloop.o: testloop.s

tune_kernel: tune_kernel.sh
	cp -f tune_kernel.sh tune_kernel
	chmod 550 tune_kernel

prep_tune: prep_tune.sh
	cp -f prep_tune.sh prep_tune
	chmod 550 prep_tune


.c.o:
	$(CC) $(CFLAGS) -c $<

man	: tune.man
	cp $? tune.1

install: build man
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/sbin
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0444 tune.1 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0555 -s tune $(INSTALLDIR)/sbin
	$(INSTALL) -c -m 0555 -s mtune $(INSTALLDIR)/sbin
	$(INSTALL) -c -m 0555 -s tunepass $(INSTALLDIR)/sbin
	$(INSTALL) -c -m 0555 tune_kernel $(INSTALLDIR)/sbin
	$(INSTALL) -c -m 0555 prep_tune $(INSTALLDIR)/sbin

clean:
	rm -f *.a *.o core
	rm -f tune mtune tunepass tune_kernel prep_tune tune.1

=== debian/changelog ===
openmosix (1.5.4-3) unstable; urgency=low

  * Fixed MOSIX to OPENMOSIX in /etc/default/openmosix (Thanks to Ran Weili)
  * Changed mosix to openmosix in /etc/init.d/openmosix 
  * Fixed kernel-patch-mosix, and it now includes the actual patch. (Thanks to Matthias Rechenburger)

 -- Viral Shah <viral@debian.org>  Mon, 25 Mar 2002 12:35:00 -0700

openmosix (1.5.4-2) unstable; urgency=low

  * Now uses openmosix userland utils.
  * Remove patch for 2.4.14. 

 -- Viral Shah <viral@debian.org>  Sat, 16 Mar 2002 16:36:30 -0700

openmosix (1.5.4-1) unstable; urgency=low

  * openmosix is a fork from the original mosix distribution.
  * First upstream version.
  * Include kernel patches for 2.4.14, 2.4.16. This will be done
    until patches for a stable and more recent kernel are released.
  
 -- Viral Shah <viral@debian.org>  Thu, 21 Feb 2002 12:04:42 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: openmosix
Section: net
Priority: extra
Maintainer: Viral Shah <viral@debian.org>
Build-Depends: debhelper (>> 3.0.0), libncurses5-dev, dh-kpatches (>= 0.7)
Standards-Version: 3.5.6

Package: openmosix
Architecture: i386
Section: net
Depends: ${shlibs:Depends}, debconf, bash (>= 2.0)
Recommends: mps
Suggests: kernel-patch-openmosix (= ${Source-Version}), mosixview, net-tools, arpd
Conflicts: mosix0.98, mosix
Description: Utilities to administer an openmosix cluster node
 Openmosix is an extension to the linux kernel to support scalable and
 transparent cluster computing. The enhanced kernel allows a cluster 
 of workstations and servers based on the Intel x86 architecture to work 
 cooperatively as if part of a single system.
 .
 This package provides the utilities to run a openmosix cluster.

Package: kernel-patch-openmosix
Architecture: i386
Section: net
Depends: patch
Recommends: kernel-package (>= 7.0)
Suggests: openmosix (= ${Source-Version})
Description: Kernel patch for openmosix
 Openmosix is an extension to the linux kernel to support scalable and
 transparent cluster computing. The enhanced kernel allows a cluster 
 of workstations and servers based on the Intel x86 architecture to work 
 cooperatively as if part of a single system.
 .
 You may need to use the standard kernel sources, as the patch may not
 apply cleanly to Debian kernels.

Package: openmosix-dev
Architecture: i386
Section: devel
Depends: libc6-dev, openmosix (= ${Source-Version})
Suggests: kernel-patch-openmosix (= ${Source-Version})
Conflicts: mosix-dev
Description: Openmosix development files (static library and header files)
 Openmosix is an extension to the linux kernel to support scalable and
 transparent cluster computing. The enhanced kernel allows a cluster of 
 workstations and servers based on the x86 architecture to work cooperatively 
 as if part of a single system.
 .
 This package contains the header files and static libraries.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.

        # Extract the programs, libs and manpages from the tar files
	# Note, that a openmosix patched kernel is kept in /tmp/linux before
	# compilation, so that the correct header files are found.
	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/openmosix

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) -C src clean

	# Clean the copies of manpages 
	rm -f src/mosrun/*.1

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs 

	# Add here commands to install the package into debian/openmosix.
	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/openmosix

	# Install /etc/default/openmosix
	install -m 0644 ./etc_default_openmosix $(CURDIR)/debian/openmosix/etc/default/openmosix

	# Copy a template openmosix.map
	install -m 0644 ./openmosix.map $(CURDIR)/debian/openmosix/etc/openmosix.map 

	# Remove all manpages. They are handled with dh_installman
	rm -fr $(CURDIR)/debian/openmosix/man

	# Copy the missing manpages to mosrun.
	( cd ./src/mosrun && \
	  for i in cpujob fastdecay iojob nodecay nomig \
                   runhome runon slowdecay; \
                do cp mosrun.1 $$i.1; \
          done  )

	# Install include files and static library in correct place
	mv $(CURDIR)/debian/openmosix/lib/libmos.* $(CURDIR)/debian/openmosix/usr/lib/
	(cd $(CURDIR)/debian/openmosix/usr/lib && ln libmos.so libmos.so.0 -s)
	mv $(CURDIR)/debian/openmosix/include $(CURDIR)/debian/openmosix/usr/include/openmosix/

        # Install an update-cluster file.
	# install -m 0744 openmosix.updatelist $(CURDIR)/debian/openmosix/usr/lib/update-cluster/openmosix.updatelist

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: 

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir 
	dh_testroot 
	dh_movefiles -popenmosix-dev --sourcedir=./debian/openmosix 
	dh_installdebconf 
	dh_installdocs 
	dh_installinit -r -- defaults 90 10
#	dh_installcron 
	dh_installman  
	dh_installkpatches 
#	dh_installinfo 
	dh_undocumented -a fixvfork.sh.1 mtune.1 prep_tune.1 tune_kernel.1 tunepass.1
	dh_installchangelogs Changelog
	dh_strip 
#	dh_link 
	dh_compress 
	dh_fixperms 
	dh_makeshlibs 
	dh_installdeb 
#	dh_perl 
	dh_shlibdeps 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
